#include "ko.h"
#include "option_parser.h"

int main(int argc, char **argv)
{
	Options options;
	unsigned char *irisCode;
	char filename[256];
	
	strcpy(filename,"errors.log");
	/* get the command line parameters */
	options = parseOptions(argc, argv);
	printf("algorithm with cell-width:%d cell-height:%d group-size:%d\n", options.cell_width, options.cell_height, options.group_size);

	/* start the whole algorithm an recieve an iriscode */
	irisCode = algoKo(options.input, options.cell_width, options.cell_height, options.group_size, 0);
	
	/* write the result to a file */
	createCodeFile(options.input, irisCode);
	
	free(irisCode);

	return 0;
}
