#ifndef OPTION_PARSER_H
#define OPTION_PARSER_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "getopt.h"
#include "ko.h"

typedef struct Options Options;

/* struct to temporaly save the input data */
struct Options
{
	char input [256];
	int cell_height;
	int cell_width;
	int group_size;
};

/* print the correct usage of the program */
void printUsage(void);

/* create an 'Options' struct out of the cmd parameters */
Options parseOptions(int argc, char **argv);

#endif
